Package twisted :: Package python :: Module reflect :: Class Summer

[show private | hide private]
[frames | no frames]

## Class Summer

    OriginalAccessor --+
                       |
                      Summer

Extend from this class to get the capability to maintain 'related sums'. Have a tuple in your class like the following:

       sums=(('amount','credit','credit_total'),
             ('amount','debit','debit_total'))

and the 'credit_total' member of the 'credit' member of self will always be incremented when the 'amount' member of self is incremented, similiarly for the debit versions.

Method Summary
| `__delattr__(self, k)` (inherited from `OriginalAccessor`)
| `__getattr__(self, k)` (inherited from `OriginalAccessor`)
| `__setattr__(self, k, v)` (inherited from `OriginalAccessor`)
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects. (inherited from `OriginalAccessor`)
| ``reallySet`(self, k, v)` This method does the work.

Method Details

### reallySet(self, k, v)

This method does the work.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:17 2003 | http://epydoc.sf.net